Skip to main content

Webhook Request about Changing WhatsApp Template Category

Last updated: 19 August 2025

To receive webhook requests about changing the category of the WhatsApp template, go to IntegrationSettings section of yout in edna Pulse account and specify the URL for webhook requests in the Webhook URL for WhatsApp template category changes, which is the endpoint of your system that will process incoming POST requests from edna Pulse.

Webhook Request Format

{
"payload":{
"id": integer,
"name": "string",
"channelType": "WHATSAPP",
"category": "MARKETING"
},
"type": "string",
"version": "string",
"timestamp": "string"
}

Webhook Request Example

{
"payload":{
"id": 123,
"name": "Promotion",
"channelType": "WHATSAPP",
"category": "MARKETING"
},
"type": "message_matcher.category_changed",
"version": "v1",
"timestamp": "2025-08-08T16:08:08.015356271Z"
}

Webhook Request Parameters

ParameterData TypeCharacterDescription
payloadobjectRequiredThe type of event that the webhook is being sent about.
payload.idintegerRequiredThe template ID.

To find out the template ID, use the API method to get a list of templates — the id parameter.

File IconRetrieving List of Templates
payload.namestringRequiredThe name of the template.

To find out the name of the template, use the API method to get a list of templates — the name parameter.

File IconRetrieving List of Templates
payload.channelTypestringRequiredChannel type. Possible value is WHATSAPP (WhatsApp channel).
payload.category stringRequiredUpdated template category.

Possible values for the WhatsApp channel:

- MARKETING — marketing template;

- UTILITY — service template;

- AUTHORIZATION — authorization template.
typestringRequiredThe type of event that the webhook is being sent about.
versionstringRequiredThe version of the API method.
timestampstringRequiredThe time of updating the category in the WhatsApp template. Specified in the ISO 8601 format (for example, 2025-07-01T00:00:00Z).

sentenz.github.io

Response Format

In response to a webhook request from your server, the status of its execution with the code 200 should be returned.

If the code 200 does not arrive in response to the webhook request, edna Pulse performs 10 more request attempts with an interval of 2^X seconds between attempts (where X is the attempt number) until the code 200 arrives in response.

tip

Therefore, if there is no response, the request is retried 4, 8, 16, 32, 64, 128, 256, 512, 1024, and 2048 seconds after the first attempt.